FROM node:20-bookworm

RUN apt update
RUN apt install -y curl bash nano wget zip unzip

RUN curl -fsSL https://bun.sh/install | bash
ENV PATH="/root/.bun/bin:${PATH}"

RUN mkdir /app

# Set working directory
WORKDIR /app

RUN touch /root/.bashrc
RUN echo 'alias ll="ls -laF"' >/root/.bashrc

COPY . /app/.

# Install dependencies
RUN bun install

RUN bun run build

# Run the app
CMD ["bun", "start"]
